// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {
    rigidBody: cc.RigidBody;
    collider: cc.PhysicsPolygonCollider;


    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        this.rigidBody = this.node.getComponent(cc.RigidBody);
        // this.motor.connectedBody
        this.collider =this.node.getComponent(cc.PhysicsPolygonCollider);
        const collisionManager = cc.director.getCollisionManager();
        collisionManager.enabled = true;
    }

    start () {

    }

    update (dt) {
        this.rigidBody.angularVelocity = 200;
    }
}
